Name: html-xml-utils
Version: 3.7
Release: alt1

Summary: A number of simple utilties for manipulating HTML and XML files
License: GPL
Group: System/Base
Url: http://www.w3.org/Tools/HTML-XML-utils
Source0: %Url/%name-%version.tar.gz
Source1: README.alt
BuildPreReq: sed

Summary(ru_RU.KOI8-R):      XML-  HTML-

%description
A number of simple utilties for manipulating HTML and XML files:
  * cexport (1)    - create headerfile of exported declarations from a C file
  * addid-html (1) - add ID's to selected elements
  * cite (1)       - replace bibliographic references by hyperlinks
  * cite-mkbib (1) - expand references and create bibliography
  * count (1)      - count elements and attributes in HTML or XML files files
  * extract-html (1) - extract selected elements
  * htmlclean (1)  - apply heuristics to correct an HTML file
  * htmlprune (1)  - remove marked elements from an HTML file
  * incl-html (1)  - expand included HTML or XML files
  * index-html (1) - create an alphabetically sorted index
  * mkbib (1)      - create bibliography from a template
  * multitoc (1)   - create a table of contents for a set of HTML files
  * name2id        - move some ID= or NAME= from A elements to their parents
  * normalize-html (1) - pretty-print an HTML file
  * num-html (1)   - number section headings in an HTML file
  * pipe-html (1)  - convert XML to a format easier to parse with Perl or AWK
  * printlinks (1) - number links & add table of URLs at end of an HTML file
  * toc (1)        - insert a table of contents in an HTML file
  * uncdata (1)    - replace CDATA sections by character entities
  * unent-html (1) - replace HTML predefined character entities to UTF-8
  * unpipe-html (1)- convert output of pipe back to XML format
  * wls (1)        - list links in an HTML file
  * xmlns (1)      - replace XML Namespace prefixes by "global names"
  * xmlrecode, asc2xml, xml2asc (1) - convert between UTF8 and &#nnn; entities
  * xref (1)       - generate cross-references
  * xselect (1)    - extract elements that match a (CSS) selector

NB: Some utilities are renamed in this package from xxx to xxx-html
for preventing possible naming conflicts.

%prep
%setup -q
%__cp -a %SOURCE1 .

%build
%configure
%make_build

%install
DESTDIR=%buildroot %make_install install
mantopics="addid extract incl index normalize num pipe unent unpipe"
for f in $mantopics; do
    cd %buildroot%_bindir
    mv $f $f-html
    cd %buildroot%_man1dir
    [ -e $f.1 ] && mv $f.1 $f-html.1
done
cd %buildroot%_man1dir
for f in $mantopics; do
    %__subst s,$f,$f-html,g *
done

%files
%_bindir/*
%_man1dir/*
%doc README AUTHORS ChangeLog TODO README.alt

%changelog
* Mon May 23 2005 Ilya G. Evseev <evseev@altlinux.ru> 3.7-alt1
- updated to version 3.7

* Mon Feb 28 2005 Ilya G. Evseev <evseev@altlinux.ru> 3.6-alt1
- version 3.6, containing new name2id utility
- specfile: changed URL

* Sun Nov 21 2004 Ilya G. Evseev <evseev@altlinux.ru> 3.5-alt1
- update to version 3.5
- Source0 URL changed to w3c site because project seems not dead
- manual pages are patched for providing links to renamed pages

* Sat Jul 10 2004 Ilya G. Evseev <evseev@altlinux.ru> 3.0-alt3
- replace dirnames by filepatterns in %files section for preventing
  package intersections (directories are already owned by main systems)

* Tue Jul  6 2004 Ilya G. Evseev <evseev@altlinux.ru> 3.0-alt2
- specfile fixups for compatibility with ALTLinux Specfile Convention
- added README.alt

* Tue Jun 15 2004 Ilya G. Evseev <evseev@altlinux.ru> 3.0-1
- Initial RPM build

## EOF ##
